summaryrefslogtreecommitdiffstats
path: root/office/scribus
diff options
context:
space:
mode:
Diffstat (limited to 'office/scribus')
-rw-r--r--office/scribus/README4
-rw-r--r--office/scribus/doinst.sh4
-rw-r--r--office/scribus/scribus.SlackBuild89
-rw-r--r--office/scribus/scribus.info8
-rw-r--r--office/scribus/slack-desc9
5 files changed, 114 insertions, 0 deletions
diff --git a/office/scribus/README b/office/scribus/README
new file mode 100644
index 0000000000..7577a8e688
--- /dev/null
+++ b/office/scribus/README
@@ -0,0 +1,4 @@
+Scribus is an open-source program that brings award-winning professional page
+layout to Linux/Unix, MacOS X and Windows desktops with a combination of
+"press-ready" output and new approaches to page layout.
+
diff --git a/office/scribus/doinst.sh b/office/scribus/doinst.sh
new file mode 100644
index 0000000000..3220dcb2d6
--- /dev/null
+++ b/office/scribus/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x usr/bin/update-mime-database ]; then
+ usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/office/scribus/scribus.SlackBuild b/office/scribus/scribus.SlackBuild
new file mode 100644
index 0000000000..56fbe311cd
--- /dev/null
+++ b/office/scribus/scribus.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for scribus
+
+# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+# Including input by Yalla-One and some code cleanup by robw810
+
+set -e
+
+PRGNAM=scribus
+VERSION=1.3.3.8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/opt/kde \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-cairo
+
+make
+make install-strip DESTDIR=$PKG
+
+# Install .desktop file, icon, and mime information
+install -m 0644 -D scribus.desktop $PKG/opt/kde/share/applications/kde/scribus.desktop
+install -m 0644 -D scribus/icons/scribusicon.png $PKG/opt/kde/share/icons/scribusicon.png
+install -m 0644 -D scribus.xml $PKG/usr/share/mime/packages/scribus.xml
+
+if [ -d $PKG/opt/kde/man ]; then
+ ( cd $PKG/opt/kde/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ )
+fi
+
+mkdir -p $PKG/usr/doc
+( cd $PKG/usr/doc
+ ln -s ../../opt/kde/share/doc/$PRGNAM-$VERSION $PRGNAM-$VERSION
+)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/scribus/scribus.info b/office/scribus/scribus.info
new file mode 100644
index 0000000000..d0248f89c2
--- /dev/null
+++ b/office/scribus/scribus.info
@@ -0,0 +1,8 @@
+PRGNAM="scribus"
+VERSION="1.3.3.8"
+HOMEPAGE="http://www.scribus.net"
+DOWNLOAD="http://dl.sourceforge.net/scribus/scribus-1.3.3.8.tar.bz2"
+MD5SUM="fa79c8bba3e6e09b0bdeaf16579d6fa1"
+MAINTAINER="Martin Lefebvre"
+EMAIL="dadexter@gmail.com"
+APPROVED="BP{k}"
diff --git a/office/scribus/slack-desc b/office/scribus/slack-desc
new file mode 100644
index 0000000000..cc565b2f9a
--- /dev/null
+++ b/office/scribus/slack-desc
@@ -0,0 +1,9 @@
+scribus: Scribus
+scribus:
+scribus: Scribus is an open-source program that brings award-winning
+scribus: professional page layout to Linux/Unix, MacOS X and Windows
+scribus: desktops with a combination of "press-ready" output and new
+scribus: approaches to page layout.
+scribus:
+scribus:
+scribus: